v1.0.0
OpenAPI 3.1.0

Get customers by email

US region

Client Libraries

Get customers by email

Return a list of people in your workspace matching an email address.

If the email contains special characters like +, make sure you percent-encode them in the query parameter. For example, use jane%2Bnotifications%40example.com instead of jane+notifications@example.com. Unencoded special characters can return empty results without an error.

Query Parameters
  • email
    Type: stringFormat: email
    required

    The email address you want to search for.

Responses
  • application/json
  • 401

    Unauthorized request. Make sure that you provided the right credentials.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/customers
curl 'https://api.customer.io/v1/customers?email=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "results": [
    {
      "email": "hugh.mann@example.com",
      "id": 2,
      "cio_id": "a3000001"
    }
  ]
}